Subject: Re: bug#37078: 27.0.50; Proposal: new introductory section to the Gnus manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jul 2020 22:08:00 +0300

> From: Eric Abrahamsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 24 Jul 2020 11:49:19 -0700
> 
> Okay, here's another stab at it. Since the sections have been slimmed
> down I've just turned them into headings, which I think aids digestion
> and removes the heading collision problem.

That's okay.

> I feel like adding cross references to the first paragraph of "The
> Basics of Servers, Groups, and Articles" has made it even harder to
> parse, and am inclined to turn that into an unordered list of three
> terms.

I like the result.  Maybe I'm biased, so it would be good to hear
other opinions.

A few minor Texinfo comments below.

> +using interactive commands in the Server buffer.  See @pxref{Finding

"See @pxref" again.

> +per-group (see @pxref{Mail Sources} for more information).

Same here.

> +@xref{Scanning New Messages} for details on fetching new mail.
                               ^
Please add a comma after the closing brace: old versions of Texinfo
require it.

> +@xref{Selecting a Group} for how to enter a group, and @pxref{Summary

Same here.

> +messages, @xref{Summary Mail Commands} for details.

And here, you want "@pxref" or "see @ref".  @xref produces a
capitalized "See", which is inappropriate in the middle of a sentence.

> +For information about what happens once you've started composing a
> +message, @xref{Composing Messages}.  For information on setting up
> +@dfn{SMTP} servers in particular, @xref{Mail Variables, ,Mail
> +Variables,message,Message manual}.

Same here (twice).

Also, did you mean @dfn{SMTP} or @acronym{SMTP}?

Thanks.